org.eclnt.jsfserver.pagebean

## Interface IPageBean

- All Superinterfaces:
    IDynamicContentBindingObject
  All Known Subinterfaces:
    IPageBeanComponent, IWorkpageContainerPartialRenderer, IWorkpageContainerRenderer
  All Known Implementing Classes:
    ComplexValueEditor, DefaultDispatchedPageBean, DefaultScreens, DynBeanTreeUI, DynBeanUI, GridDetails, KEYSELECTORBinding, PageBean, PageBeanComponent, ROWComplexValueEditor, ServerFileBrowser, StreamStoreDetailUI, StreamStoreNewContentUI, StreamStoreTreeUI, WorkpageContainerRendererIconSelectorRight, WorkpageContainerRendererStackedPane, WorkpageContainerRendererVerticalMiniView, WorkpageContainerRendererViaHideablePane, WorkpageDispatchedPageBean, WorkplaceFoldableFunctionTrees, WorkplaceFunctionSearchUI

      public interface IPageBean
      extends IDynamicContentBindingObject

  Bean-page combination.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closePopup(IPageBean pageBean)` Closes a modal popup that was opened before.
    `java.lang.String` | `getActualRootExpression()` Returns the actual root expression during runtime.
    `java.lang.String` | `getPageName()` Name of page that is managed by the bean.
    `java.lang.String` | `getRootExpressionUsedInPage()` Inside the page definition the bean is addressed via a certain root expression - e.g.
    `void` | `initializePageBean(java.util.Map<java.lang.String,java.lang.String> initData)` Pass initialization parameters from JSP definition into the page bean.
    `boolean` | `isInitialized()` Check if page bean is already initialized.
    `void` | `onBeforeRendering()` Called before the rendering of the component content will be executed.
    `ModalPopup` | `openModalPopup(IPageBean pageBean, java.lang.String title, int width, int height, ModalPopup.IModalPopupListener popupListener)` Opens a modal popup with an other page beans's content.
    `ModelessPopup` | `openModelessPopup(IPageBean pageBean, java.lang.String title, int width, int height, ModelessPopup.IModelessPopupListener popupListener)` Opens a modeless popup with an other page beans's content.
    `void` | `setActualRootExpression(java.lang.String rootExpression)` For internal usage only!

- - ### Method Detail

    - #### getPageName

          java.lang.String getPageName()

      Name of page that is managed by the bean. This can either be a static return value that stays fix for the whole lifecycle of the bean, or it may also be a value that changed - in case there are several pages that are possible to be managed by the page bean.

    - #### getRootExpressionUsedInPage

          java.lang.String getRootExpressionUsedInPage()

      Inside the page definition the bean is addressed via a certain root expression - e.g. "#{d.XYZBean}". The page bean management requires this expression in order to execute certain expression replacements when loading the page at runtime.

    - #### setActualRootExpression

          void setActualRootExpression(java.lang.String rootExpression)

      For internal usage only! - This property is set as part of the component processing of component ROWPAGEBEANINCLUDE. It must not be set by any other function!

    - #### getActualRootExpression

          java.lang.String getActualRootExpression()

      Returns the actual root expression during runtime.

    - #### openModalPopup

          ModalPopup openModalPopup(IPageBean pageBean,
                                    java.lang.String title,
                                    int width,
                                    int height,
                                    ModalPopup.IModalPopupListener popupListener)

      Opens a modal popup with an other page beans's content.

    - #### closePopup

          void closePopup(IPageBean pageBean)

      Closes a modal popup that was opened before.

    - #### openModelessPopup

          ModelessPopup openModelessPopup(IPageBean pageBean,
                                          java.lang.String title,
                                          int width,
                                          int height,
                                          ModelessPopup.IModelessPopupListener popupListener)

      Opens a modeless popup with an other page beans's content.

    - #### initializePageBean

          void initializePageBean(java.util.Map<java.lang.String,java.lang.String> initData)

      Pass initialization parameters from JSP definition into the page bean.

    - #### isInitialized

          boolean isInitialized()

      Check if page bean is already initialized. If no then the `initializePageBean(Map)` method will be called by the rendering processing.

    - #### onBeforeRendering

          void onBeforeRendering()

      Called before the rendering of the component content will be executed. The component may update/ rightsize/ refresh its data internally.

Copyright © CaptainCasa Gmbh. All Rights Reserved.